org.freedesktop.cairo

## Class Format

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.cairo.Format

-     public class Format
      extends org.freedesktop.bindings.Constant

  Constants specifying what the bit depth of the pixels in an ImageSurface.
  Since:
    4.0.7
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Format` | `A1` A traditional bitmask with a 1 bit alpha value (on or off).
    `static Format` | `A8` 8 bits per pixel, holding an alpha value (only).
    `static Format` | `ARGB32` 32 bits per pixel, being 8 bits for each of red, green, blue, and and 8 bit alpha (transparency) channel.
    `static Format` | `RGB24` 24 bits per pixel, being 8 bits in each of red, green, and blue.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### A1

          public static final Format A1

      A traditional bitmask with a 1 bit alpha value (on or off).

    - #### A8

          public static final Format A8

      8 bits per pixel, holding an alpha value (only).

    - #### ARGB32

          public static final Format ARGB32

      32 bits per pixel, being 8 bits for each of red, green, blue, and and 8 bit alpha (transparency) channel. This is the standard choice for most work.

    - #### RGB24

          public static final Format RGB24

      24 bits per pixel, being 8 bits in each of red, green, and blue. No alpha channel.